diff --git a/scheduler/ipp.c b/scheduler/ipp.c
index cc095b0e7..1b3769ce0 100644
--- a/scheduler/ipp.c
+++ b/scheduler/ipp.c
@@ -5495,8 +5495,12 @@ create_local_bg_thread(
       _cupsRWLockWrite(&printer->lock);
 
       printer->config_time = time(NULL);
-      printer->state       = IPP_PSTATE_IDLE;
-      printer->accepting   = 1;
+
+      if (printer->temporary)
+      {
+	printer->state     = IPP_PSTATE_IDLE;
+	printer->accepting = 1;
+      }
 
       _cupsRWUnlock(&printer->lock);
 
